::-moz-selection {
  background: #338fff;
  color: #fff;
}
::-webkit-selection {
  background: #338fff;
  color: #fff;
}
::selection {
  background: #338fff;
  color: #fff;
}
.clear::after {
  content: "";
  display: block;
  height: 0px;
  clear: both;
  visibility: hidden;
}
.response-img {
  display: block;
  max-width: 100%;
}
.text-overflow {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
body {
  width: 100%;
  max-width: 100%;
  min-width: 1200px;
  background-color: #f0f1f5;
  color: #555;
  text-align: center;
  position: relative;
}
#knowledge {
  width: 100%;
  height: 100%;
  position: relative;
  padding: 0.277778rem 0;
}
.bookBox {
  width: 7.8125rem;
  height: 4.6875rem;
  position: relative;
  margin: 0.234375rem auto;
  -webkit-perspective-origin: 50% 60%;
  perspective-origin: 50% 60%;
  -webkit-perspective: 11.71875rem;
  perspective: 11.71875rem;
  background: url(../img/bookBg.png) no-repeat 0 0;
  background-size: 100% 100%;
  box-shadow: -0.046149rem -0.046149rem 0.138448rem #ffffff,
    0.069224rem 0.069224rem 0.138448rem rgba(174, 174, 192, 0.4);
}
.bookBox:hover .lastBtn {
  display: block;
}
.bookBox:hover .nextBtn {
  display: block;
}
/*书的高度*/
.bookPage {
  position: absolute;
  width: 3.90625rem;
  height: 4.53125rem;
  top: 0;
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  -ms-transform-style: preserve-3d;
  -o-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-transition: all linear 2s;
  -moz-transition: all linear 2s;
  -ms-transition: all linear 2s;
  -o-transition: all linear 2s;
  transition: all linear 2s;
  /* background: url(../img/bookLeft.png) no-repeat; */
  background-size: 31.521997rem 6.09375rem;
  background-position: 0.162031rem 0.064844rem;
}
.bookPage img {
  position: absolute;
  top: 0.390625rem;
  left: 0.390625rem;
  display: inline-block;
  width: 3.125rem;
  height: 3.75rem;
}
.bookWord {
  height: 3.75rem;
  position: absolute;
  top: 0.390625rem;
  left: 0.390625rem;
  display: inline-block;
  width: 3.125rem;
  padding: 0.234375rem;
  font-size: 0.15625rem;
  line-height: 0.210938rem;
  backface-visibility: visible;
  background-color: #f0f0f0;
  word-break: break-all;
  text-align: justify;
}
.bookWord span {
  font-size: 0.234375rem;
  font-weight: 600;
  line-height: 0.3125rem;
}
.bookWord h5 {
  font-weight: 600;
  font-size: 0.09375rem;
  line-height: 0.15625rem;
  letter-spacing: 0.011719rem;
  color: #7239ff;
  margin-top: 0.078125rem;
}
.bookWord p {
  font-size: 0.109375rem;
  margin-top: 0.234375rem;
  letter-spacing: 0.1em;
  color: #6a717b;
}
.frist {
  left: 0;
  z-index: 1;
}
.frist img {
  z-index: 1;
}
.last {
  right: 0;
  z-index: 1;
}
.last p {
  z-index: 1;
}
.runPage {
  right: 0;
  -webkit-transform-origin: 0 0;
  -moz-transform-origin: 0 0;
  -ms-transform-origin: 0 0;
  -o-transform-origin: 0 0;
  transform-origin: 0 0;
}

/*书的高度*/
.runPage,
.bookPage:last-child {
  background: url(../img/bookRight.png) no-repeat;
  background-size: 3.744219rem 6.09375rem;
  background-position: 0 0.064844rem;
}
.runClass {
  -webkit-transform: rotateY(-180deg);
  -moz-transform: rotateY(-180deg);
  -ms-transform: rotateY(-180deg);
  -o-transform: rotateY(-180deg);
  transform: rotateY(-180deg);
}
.lastBtn,
.nextBtn {
  display: none;
  position: absolute;
  top: 1.953125rem;
  cursor: pointer;
  z-index: 999;
  font-size: 0.390625rem;
  line-height: 0.78125rem;
  color: #fff;
  text-decoration: none;
  background-color: rgba(0, 0, 0, 0.5);
}
.lastBtn {
  left: 0;
}
.nextBtn {
  right: 0;
}
.canvasBox {
  display: block;
  width: 1.234375rem;
  height: 1.234375rem;
}
/*页序号*/
.pageNumber {
  position: absolute;
  bottom: 0.03125rem;
  right: 0.078125rem;
  font-size: 0.15625rem !important;
  line-height: 0.234375rem;
}
.bookWord a {
  position: absolute;
  bottom: 0.046875rem;
  left: 0.234375rem;
  line-height: 0.3125rem;
}
.bookWord a:hover {
  color: #7239ff;
}

/* 动画 */

@keyframes preLoad {
  0% {
    background-image: url("../pictures/bookbg1.png");
  }
  10% {
    background-image: url("../pictures/bookbg2.png");
  }
  20% {
    background-image: url("../pictures/bookbg3.png");
  }
  30% {
    background-image: url("../pictures/bookbg4.png");
  }
  40% {
    background-image: url("../pictures/bookbg5.png");
  }
  100% {
    display: none;
  }
}

.container {
  position: relative;
  width: 3.28125rem;
  margin: 0.694444rem auto 1.041667rem;
  border: #fff solid 0.013889rem;
  border-radius: 0.03125rem;
  height: 3.28125rem;
  box-shadow: -0.030138rem -0.030138rem 0.090415rem #ffffff,
    0.045208rem 0.045208rem 0.090415rem rgba(174, 174, 192, 0.4);
}

.title {
  position: absolute;
  top: 0.351563rem;
  left: 0;
  width: 100%;
  font-size: 0.277778rem;
  font-weight: normal;
  line-height: 1;
}

.credit {
  position: absolute;
  top: 100%;
  left: 0;
  font-size: 0.097222rem;
  text-align: left;
  margin-top: 0.041667rem;
}

.book {
  position: relative;
  perspective: 4.921875rem;
  perspective-origin: center 0.390625rem;
  transform: scale(1.2);
  filter: drop-shadow(0px 0.083333rem 0.045139rem rgba(0, 0, 0, 0.25));
}

.page {
  width: 1.640625rem;
  height: 2.34375rem;
  background-color: #bbb;
  position: absolute;
  top: 0px;
  right: 50%;
  transform-origin: 100% 100%;
  border: solid #555 0.013889rem;
  background-size: 3.28125rem 2.34375rem;
  background-position: center;
}
.page:nth-child(1) {
  transform: rotateX(60deg) rotateY(3deg);
}
.page:nth-child(2) {
  transform: rotateX(60deg) rotateY(4.5deg);
}
.page:nth-child(3) {
  transform: rotateX(60deg) rotateY(6deg);
  animation: nextPage 25s infinite -24s steps(1);
  background-size: 3.28125rem 2.34375rem;
  background-position: -0.015625rem -0.015625rem;
}
.page:nth-child(4) {
  transform: rotateX(60deg) rotateY(177deg);
}
.page:nth-child(5) {
  transform: rotateX(60deg) rotateY(175.5deg);
}
.page:nth-child(6) {
  transform: rotateX(60deg) rotateY(174deg);
  overflow: hidden;
}
.page:nth-child(6)::after {
  content: "";
  width: 1.640625rem;
  height: 2.34375rem;
  position: absolute;
  top: 0px;
  right: 0%;
  transform-origin: center;
  transform: rotateY(180deg);
  animation: nextPage 25s -20s infinite steps(1);
  background-size: 3.28125rem 2.34375rem;
  background-position: 100% -0.015625rem;
}
@keyframes nextPage {
  0% {
    background-image: url("../pictures/bookbg1.png");
  }
  20% {
    background-image: url("../pictures/bookbg2.png");
  }
  40% {
    background-image: url("../pictures/bookbg3.png");
  }
  60% {
    background-image: url("../pictures/bookbg4.png");
  }
  80% {
    background-image: url("../pictures/bookbg5.png");
  }
}

.gap {
  width: 0.078125rem;
  height: 2.34375rem;
  background: none;
  transform: rotateX(60deg);
  transform-origin: bottom;
  position: absolute;
  top: 0px;
  left: calc(50% - 0.039063rem);
}
.gap::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 50%);
  background-color: #555;
  width: 0.078125rem;
  height: 0.039063rem;
  border-radius: 50%;
}

.flip {
  width: 0.25rem;
  height: 2.34375rem;
  position: absolute;
  top: 0px;
  transform-origin: 100% 100%;
  right: 100%;
  border: solid #555;
  border-width: 0.015625rem 0px;
  perspective: 32.8125rem;
  perspective-origin: center;
  transform-style: preserve-3d;
  background-size: 3.28125rem 2.34375rem;
}
.flip::after {
  content: "";
  position: absolute;
  top: 0px;
  right: 0%;
  width: 100%;
  height: 100%;
  transform-origin: center;
  background-size: 3.28125rem 2.34375rem;
}
.flip.flip1 {
  right: 50%;
  animation: flip1 5s infinite ease-in-out;
  border-width: 0.015625rem 0.015625rem 0.015625rem 0;
}
.flip.flip1::after {
  animation: nextFlip1 25s -20s infinite steps(1);
}
.flip:not(.flip1) {
  right: calc(100% - 0.015625rem);
  top: -0.015625rem;
  transform-origin: right;
  animation: flip2 5s ease-in-out infinite;
}
.flip.flip2::after {
  animation: nextFlip2 25s -20s infinite steps(1);
}
.flip.flip3::after {
  animation: nextFlip3 25s -20s infinite steps(1);
}
.flip.flip4::after {
  animation: nextFlip4 25s -20s infinite steps(1);
}
.flip.flip5::after {
  animation: nextFlip5 25s -20s infinite steps(1);
}
.flip.flip6::after {
  animation: nextFlip6 25s -20s infinite steps(1);
}
.flip.flip7::after {
  animation: nextFlip7 25s -20s infinite steps(1);
}
.flip.flip7 {
  width: 0.234375rem;
  border-width: 0.015625rem 0px 0.015625rem 0.015625rem;
}
.flip.flip7::after {
  animation: nextFlip7 25s -20s infinite steps(1);
}
@keyframes flip1 {
  0%,
  20% {
    transform: rotateX(60deg) rotateY(6deg);
  }
  80%,
  100% {
    transform: rotateX(60deg) rotateY(174deg);
  }
}
@keyframes flip2 {
  0%,
  20% {
    transform: rotateY(0deg) translateY(0px);
  }
  50% {
    transform: rotateY(-15deg) translateY(0px);
  }
}

@keyframes nextFlip1 {
  0% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -178px -2px;
    transform: rotateY(0deg);
  }
  10% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -210px -2px;
    transform: rotateY(180deg);
  }
  20% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -178px -2px;
    transform: rotateY(0deg);
  }
  30% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -210px -2px;
    transform: rotateY(180deg);
  }
  40% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -178px -2px;
    transform: rotateY(0deg);
  }
  50% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -210px -2px;
    transform: rotateY(180deg);
  }
  60% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -178px -2px;
    transform: rotateY(0deg);
  }
  70% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -210px -2px;
    transform: rotateY(180deg);
  }
  80% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -178px -2px;
    transform: rotateY(0deg);
  }
  90% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -210px -2px;
    transform: rotateY(180deg);
  }
}
@keyframes nextFlip2 {
  0% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -148px -2px;
    transform: rotateY(0deg);
  }
  10.5% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -238px -2px;
    transform: rotateY(180deg);
  }
  20% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -148px -2px;
    transform: rotateY(0deg);
  }
  30.5% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -238px -2px;
    transform: rotateY(180deg);
  }
  40% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -148px -2px;
    transform: rotateY(0deg);
  }
  50.5% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -238px -2px;
    transform: rotateY(180deg);
  }
  60% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -148px -2px;
    transform: rotateY(0deg);
  }
  70.5% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -238px -2px;
    transform: rotateY(180deg);
  }
  80% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -148px -2px;
    transform: rotateY(0deg);
  }
  90.5% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -238px -2px;
    transform: rotateY(180deg);
  }
}
@keyframes nextFlip3 {
  0% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -118px -2px;
    transform: rotateY(0deg);
  }
  11% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -268px -2px;
    transform: rotateY(180deg);
  }
  20% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -118px -2px;
    transform: rotateY(0deg);
  }
  31% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -268px -2px;
    transform: rotateY(180deg);
  }
  40% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -118px -2px;
    transform: rotateY(0deg);
  }
  51% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -268px -2px;
    transform: rotateY(180deg);
  }
  60% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -118px -2px;
    transform: rotateY(0deg);
  }
  71% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -268px -2px;
    transform: rotateY(180deg);
  }
  80% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -118px -2px;
    transform: rotateY(0deg);
  }
  91% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -268px -2px;
    transform: rotateY(180deg);
  }
}
@keyframes nextFlip4 {
  0% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -88px -2px;
    transform: rotateY(0deg);
  }
  11.5% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -298px -2px;
    transform: rotateY(180deg);
  }
  20% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -88px -2px;
    transform: rotateY(0deg);
  }
  31.5% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -298px -2px;
    transform: rotateY(180deg);
  }
  40% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -88px -2px;
    transform: rotateY(0deg);
  }
  51.5% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -298px -2px;
    transform: rotateY(180deg);
  }
  60% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -88px -2px;
    transform: rotateY(0deg);
  }
  71.5% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -298px -2px;
    transform: rotateY(180deg);
  }
  80% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -88px -2px;
    transform: rotateY(0deg);
  }
  91.5% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -298px -2px;
    transform: rotateY(180deg);
  }
}
@keyframes nextFlip5 {
  0% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -58px -2px;
    transform: rotateY(0deg);
  }
  12% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -328px -2px;
    transform: rotateY(180deg);
  }
  20% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -58px -2px;
    transform: rotateY(0deg);
  }
  32% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -328px -2px;
    transform: rotateY(180deg);
  }
  40% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -58px -2px;
    transform: rotateY(0deg);
  }
  52% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -328px -2px;
    transform: rotateY(180deg);
  }
  60% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -58px -2px;
    transform: rotateY(0deg);
  }
  72% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -328px -2px;
    transform: rotateY(180deg);
  }
  80% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -58px -2px;
    transform: rotateY(0deg);
  }
  92% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -328px -2px;
    transform: rotateY(180deg);
  }
}
@keyframes nextFlip6 {
  0% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -28px -2px;
    transform: rotateY(0deg);
  }
  12.5% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -358px -2px;
    transform: rotateY(180deg);
  }
  20% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -28px -2px;
    transform: rotateY(0deg);
  }
  32.5% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -358px -2px;
    transform: rotateY(180deg);
  }
  40% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -28px -2px;
    transform: rotateY(0deg);
  }
  52.5% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -358px -2px;
    transform: rotateY(180deg);
  }
  60% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -28px -2px;
    transform: rotateY(0deg);
  }
  72.5% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -358px -2px;
    transform: rotateY(180deg);
  }
  80% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -28px -2px;
    transform: rotateY(0deg);
  }
  92.5% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -358px -2px;
    transform: rotateY(180deg);
  }
}
@keyframes nextFlip7 {
  0% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -2px -2px;
    transform: rotateY(0deg);
  }
  13% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -388px -2px;
    transform: rotateY(180deg);
  }
  20% {
    background-image: url("../pictures/bookbg2.png");
    background-position: -2px -2px;
    transform: rotateY(0deg);
  }
  33% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -388px -2px;
    transform: rotateY(180deg);
  }
  40% {
    background-image: url("../pictures/bookbg3.png");
    background-position: -2px -2px;
    transform: rotateY(0deg);
  }
  53% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -388px -2px;
    transform: rotateY(180deg);
  }
  60% {
    background-image: url("../pictures/bookbg4.png");
    background-position: -2px -2px;
    transform: rotateY(0deg);
  }
  73% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -388px -2px;
    transform: rotateY(180deg);
  }
  80% {
    background-image: url("../pictures/bookbg5.png");
    background-position: -2px -2px;
    transform: rotateY(0deg);
  }
  93% {
    background-image: url("../pictures/bookbg1.png");
    background-position: -388px -2px;
    transform: rotateY(180deg);
  }
}
.hiddened {
  opacity: 0;
}
.showed {
  opacity: 100%;
}

/* 按钮 */
.hamburglar {
  transform: scale(1);
  margin: 40px auto;
  position: relative;
  display: block;
  width: 68px;
  height: 68px;
  background: #f0f1f5;
  box-shadow: -4.33993px -4.33993px 13.0198px #FFFFFF, 6.50989px 6.50989px 13.0198px rgba(174, 174, 192, 0.4);
  -webkit-touch-callout: none;
  user-select: none;
  position: absolute;
  top: 3.819444rem;
  right: .277778rem;
}
.tupian {
  height: 200px;
  position: absolute;
  top: -100px;
  right: 100px;
  display: none;
  transition: all .3s ease-in-out;
}
.path-burger {
  position: absolute;
  top: 0;
  left: 0;
  height: 68px;
  width: 68px;
  mask: url(#mask);
  -webkit-mask-box-image: url(https://raygun.io/upload/mask.svg);
  
}

.animate-path {
  position: absolute;
  top: 0;
  left: 0;
  width: 68px;
  height: 68px;
 
}

.path-rotation {
  height: 34px;
  width: 34px;
  margin: 34px 34px 0 0;
  transform: rotate(0deg);
  transform-origin: 100% 0;
}
.path-rotation:before {
  content: "";
  display: block;
  width: 30px;
  height: 34px;
  margin: 0 4px 0 0;
  background: #fff;
}

@keyframes rotate-out {
  0% {
    transform: rotate(0deg);
  }
  40% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@keyframes rotate-in {
  0% {
    transform: rotate(360deg);
  }
  40% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(0deg);
  }
}
.hamburglar.is-open .path {
  animation: dash-in 0.6s linear normal;
  animation-fill-mode: forwards;
}
.hamburglar.is-open .animate-path {
  animation: rotate-in 0.6s linear normal;
  animation-fill-mode: forwards;
}
.is-closed .tupian {
  display: none;
  }
.is-open .tupian{
display: block;
}


.hamburglar.is-closed .path {
  animation: dash-out 0.6s linear normal;
  animation-fill-mode: forwards;
}
.hamburglar.is-closed .animate-path {
  animation: rotate-out 0.6s linear normal;
  animation-fill-mode: forwards;
}

.path {
  stroke-dasharray: 240;
  stroke-dashoffset: 240;
  stroke-linejoin: round;
}

@keyframes dash-in {
  0% {
    stroke-dashoffset: 240;
  }
  40% {
    stroke-dashoffset: 240;
  }
  100% {
    stroke-dashoffset: 0;
  }
}
@keyframes dash-out {
  0% {
    stroke-dashoffset: 0;
  }
  40% {
    stroke-dashoffset: 240;
  }
  100% {
    stroke-dashoffset: 240;
  }
}
.burger-icon {
  position: absolute;
  padding: 20px 16px;
  height: 68px;
  width: 68px;
  
}

.burger-container {
  position: relative;
  height: 28px;
  width: 36px;
}

.burger-bun-top,
.burger-bun-bot,
.burger-filling {
  position: absolute;
  display: block;
  height: 4px;
  width: 36px;
  border-radius: 2px;
  background: #fff;
}

.burger-bun-top {
  top: 0;
  transform-origin: 34px 2px;
}

.burger-bun-bot {
  bottom: 0;
  transform-origin: 34px 2px;
}

.burger-filling {
  top: 12px;
}

.burger-ring {
  position: absolute;
  top: 0;
  left: 0;
  width: 68px;
  height: 68px;

}

.svg-ring {
  width: 68px;
  height: 68px;
  
}

.hamburglar.is-open .burger-bun-top {
  animation: bun-top-out 0.6s linear normal;
  animation-fill-mode: forwards;
}
.hamburglar.is-open .burger-bun-bot {
  animation: bun-bot-out 0.6s linear normal;
  animation-fill-mode: forwards;
}

.hamburglar.is-closed .burger-bun-top {
  animation: bun-top-in 0.6s linear normal;
  animation-fill-mode: forwards;
}
.hamburglar.is-closed .burger-bun-bot {
  animation: bun-bot-in 0.6s linear normal;
  animation-fill-mode: forwards;
}

@keyframes bun-top-out {
  0% {
    left: 0;
    top: 0;
    transform: rotate(0deg);
  }
  20% {
    left: 0;
    top: 0;
    transform: rotate(15deg);
  }
  80% {
    left: -5px;
    top: 0;
    transform: rotate(-60deg);
  }
  100% {
    left: -5px;
    top: 1px;
    transform: rotate(-45deg);
  }
}
@keyframes bun-bot-out {
  0% {
    left: 0;
    transform: rotate(0deg);
  }
  20% {
    left: 0;
    transform: rotate(-15deg);
  }
  80% {
    left: -5px;
    transform: rotate(60deg);
  }
  100% {
    left: -5px;
    transform: rotate(45deg);
  }
}
@keyframes bun-top-in {
  0% {
    left: -5px;
    bot: 0;
    transform: rotate(-45deg);
  }
  20% {
    left: -5px;
    bot: 0;
    transform: rotate(-60deg);
  }
  80% {
    left: 0;
    bot: 0;
    transform: rotate(15deg);
  }
  100% {
    left: 0;
    bot: 1px;
    transform: rotate(0deg);
  }
}
@keyframes bun-bot-in {
  0% {
    left: -5px;
    transform: rotate(45deg);
  }
  20% {
    left: -5px;
    bot: 0;
    transform: rotate(60deg);
  }
  80% {
    left: 0;
    bot: 0;
    transform: rotate(-15deg);
  }
  100% {
    left: 0;
    transform: rotate(0deg);
  }
}
.hamburglar.is-open .burger-filling {
  animation: burger-fill-out 0.6s linear normal;
  animation-fill-mode: forwards;
}

.hamburglar.is-closed .burger-filling {
  animation: burger-fill-in 0.6s linear normal;
  animation-fill-mode: forwards;
}

@keyframes burger-fill-in {
  0% {
    width: 0;
    left: 36px;
  }
  40% {
    width: 0;
    left: 40px;
  }
  80% {
    width: 36px;
    left: -6px;
  }
  100% {
    width: 36px;
    left: 0px;
  }
}
@keyframes burger-fill-out {
  0% {
    width: 36px;
    left: 0px;
  }
  20% {
    width: 42px;
    left: -6px;
  }
  40% {
    width: 0;
    left: 40px;
  }
  100% {
    width: 0;
    left: 36px;
  }
}
